# Contributing

We love pull requests from everyone. By participating in this project, you
agree to abide by the [Contributor License Agreement](http://www.belledonne-communications.com/downloads/Belledonne_communications_CA.pdf).

# How to contribute

## Translation Requests

Translations are handled only on the [Transifex platform](https://www.transifex.com/belledonne-communications/public/).

## Reporting Bugs

* Make sure you have a [GitHub account](https://github.com/signup/free)
* Submit a ticket for your issue, assuming one does not already exist.
    * Clearly describe the issue including steps to reproduce.
      Consider doing a video record to help understand the scenario.
    * Provide Linphone version as well as Liblinphone, both available in the `About` page.
    * Provide your iOS version as well as affected device.
    * Attach application logs
        * Go to `Settings -> Advanced`
        * Enable `Debug`
        * Click `Clear logs` to remove older logs
        * Reproduce your issue
        * Use `Settings -> About -> Send logs` to send it by email to yourself
        * Clean these logs if needed, then attach them to your issue

## Submitting Changes

* Sign the [Contributor License Agreement](http://www.belledonne-communications.com/downloads/Belledonne_communications_CA.pdf).
* Push your changes to a topic branch in your fork of the repository.
* Submit a pull request to the repository in the Belledonne Communications organization.
* We will then review, comment and/or integrate your request. It can take few minutes or several weeks depending on our schedule.

# Additional Resources

* [Contributor License Agreement](http://www.belledonne-communications.com/downloads/Belledonne_communications_CA.pdf)
* [General Linphone documentation](https://wiki.linphone.org/wiki/)
* [Linphone developers mailing list](https://lists.nongnu.org/mailman/listinfo/linphone-developers)
* [Linphone users mailing list](https://lists.nongnu.org/mailman/listinfo/linphone-users)
